Package org.eclipse.birt.core.template

# Class TemplateParser

java.lang.Object
org.eclipse.birt.core.template.TemplateParser

public class TemplateParser extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`TemplateParser.ASTVisitor`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Logger`
`logger`
the logger

## Constructor Summary

Constructors
Constructor
Description
`TemplateParser()`

## Method Summary

Modifier and Type
Method
Description
`TextTemplate`
`parse(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static Logger logger
the logger

## Constructor Details

### TemplateParser

public TemplateParser()

## Method Details

### parse

public TextTemplate parse(String text)